<?php
// Sécurité
define('OK',1);
// Configuration
include('config.php');
// Fonctions
include('fonctions.php');

$mysqli = connectsql();

//////////////
//// HTML ////
//////////////
debut($mysqli,'Flux RSS',$message,$autorisation,'rss');
?>
  <article>
    <p>Un flux RSS est une page web dont le contenu est mis à jour de façon permanente. Il permet de récupérer le contenu d'un fil d'actualité à l'aide d'un logiciel prévu pour lire ce genre de page. Firefox les prend en charge nativement, et un certain nombre d'applications existent sur Android et iOS (tapez simplement «&nbsp;RSS&nbsp;» dans la zone de recherche du magasin d'applications).</p>
  </article>

<?php
if ( !$autorisation )  {
  // On vérifie que les flux RSS que l'utilisateur peut souhaiter voir existent.
  if ( !is_dir($rep = 'documents/rss/'.sha1("?!${base}0|toutes")) )
    rss($mysqli,array(0));
?>

  <article>
    <h3>Le flux RSS public est disponible à l'adresse</h3>
    <p><a href="<?php echo $rep; ?>/rss.xml">http://<?php echo "$site/$rep"; ?>/rss.xml</a></p>
    <p>Ce flux contient uniquement les éléments visibles sans identification sur ce Cahier de Prépa.</p>
    <p>Si vous avez un compte ici, vous avez intérêt à vous connecter pour obtenir le flux correspondant à tout ce à quoi vous pouvez accéder normalement.</p>
  </article>

<?php
}
else  {
  // On vérifie que les flux RSS que l'utilisateur peut souhaiter voir existent.
  if ( !is_dir($rep = 'documents/rss/'.sha1("?!$base$autorisation|${_SESSION['matieres']}")) )
    rss($mysqli,array(explode(',',$_SESSION['matieres'])[0]));
?>

  <article>
    <h3>Le flux RSS spécifique à votre compte est disponible à l'adresse</h3>
    <p><a href="<?php echo $rep; ?>/rss.xml">http://<?php echo "$site/$rep"; ?>/rss.xml</a></p>
    <p>Ce flux liste l'ensemble des éléments que vous pouvez voir sur ce Cahier de Prépa.</p>
    <p>Cette adresse donne directement accès aux informations sur le site&nbsp;: merci de ne pas la divulguer à des personnes n'ayant pas d'accès au site.</p>
  </article>

<?php
}

$mysqli->close();
fin(false,false);
?>
